Bug 1416983 - SELinux is preventing umount from 'open' accesses on the file /run/mount/utab.
Summary: SELinux is preventing umount from 'open' accesses on the file /run/mount/utab.
Keywords:
Status: CLOSED DUPLICATE of bug 1442571
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:33b93fa84203edc84f171217216...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 23:43 UTC by arturpolak1
Modified: 2017-04-17 13:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-17 13:42:47 UTC
Type: ---


Attachments (Terms of Use)

Description arturpolak1 2017-01-26 23:43:45 UTC
Description of problem:
SELinux is preventing umount from 'open' accesses on the file /run/mount/utab.

*****  Plugin catchall (100. confidence) suggests   **************************

If aby umount powinno mieć domyślnie open dostęp do utab file.
Then proszę to zgłosić jako błąd.
Można utworzyć lokalny moduł polityki, aby umożliwić ten dostęp.
Do
allow this access for now by executing:
# ausearch -c 'umount' --raw | audit2allow -M my-umount
# semodule -X 300 -i my-umount.pp

Additional Information:
Source Context                system_u:system_r:tlp_t:s0
Target Context                system_u:object_r:mount_var_run_t:s0
Target Objects                /run/mount/utab [ file ]
Source                        umount
Source Path                   umount
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-235.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.9.5-200.fc25.x86_64 #1 SMP Fri
                              Jan 20 12:24:16 UTC 2017 x86_64 x86_64
Alert Count                   1
First Seen                    2017-01-26 10:53:19 CET
Last Seen                     2017-01-26 10:53:19 CET
Local ID                      a23dfc68-15c9-4097-b507-bbcaaf4c285f

Raw Audit Messages
type=AVC msg=audit(1485424399.173:231): avc:  denied  { open } for  pid=1997 comm="umount" path="/run/mount/utab" dev="tmpfs" ino=12534 scontext=system_u:system_r:tlp_t:s0 tcontext=system_u:object_r:mount_var_run_t:s0 tclass=file permissive=1


Hash: umount,tlp_t,mount_var_run_t,file,open

Version-Release number of selected component:
selinux-policy-3.13.1-235.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.0
hashmarkername: setroubleshoot
kernel:         4.10.0-0.rc5.git1.1.fc26.x86_64
type:           libreport

Comment 1 Fedora End Of Life 2017-02-28 11:05:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Lukas Vrabec 2017-04-17 13:42:47 UTC

*** This bug has been marked as a duplicate of bug 1442571 ***


Note You need to log in before you can comment on or make changes to this bug.